/*
 * Game.h
 *
 * Copyright (C) 2009 Matthias Schiffer <matthias@gamezock.de>
 *
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along
 * with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef ZOOM_GAME_H_
#define ZOOM_GAME_H_

#include "Renderer.h"

namespace Zoom {

class Triangle;

class Game {
  public:
    Game(bool multisample);

    void run(int delta);
    void render();

  private:
    Renderer renderer;

    float angle;
};

}

#endif /* ZOOM_GAME_H_ */
